BrokerConfiguration
Date: 2014-06-04

org.gcube.vremanagement.resourcebroker.impl.configuration

## Class BrokerConfiguration

- java.lang.Object
- - org.gcube.vremanagement.resourcebroker.impl.configuration.BrokerConfiguration

-     public final class BrokerConfiguration
      extends java.lang.Object

  Adds support for accessing configuration properties.
  Author:
    Daniele Strollo (ISTI-CNR)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `getBoolProperty(java.lang.String key)`
    `static int` | `getIntProperty(java.lang.String key)`
    `static java.util.Properties` | `getProperties()`
    `static java.lang.String` | `getProperty(java.lang.String key)`
    `static java.lang.Object` | `getRawProperty(java.lang.String key)`
    `static void` | `setConfigurationFile(java.lang.String filename)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setConfigurationFile

          public static void setConfigurationFile(java.lang.String filename)

    - #### getProperties

          public static java.util.Properties getProperties()

    - #### getProperty

          public static java.lang.String getProperty(java.lang.String key)
                                              throws java.lang.RuntimeException

      Throws:
        `java.lang.RuntimeException`

    - #### getIntProperty

          public static int getIntProperty(java.lang.String key)
                                    throws java.lang.RuntimeException

      Throws:
        `java.lang.RuntimeException`

    - #### getBoolProperty

          public static boolean getBoolProperty(java.lang.String key)
                                         throws java.lang.RuntimeException

      Throws:
        `java.lang.RuntimeException`

    - #### getRawProperty

          public static java.lang.Object getRawProperty(java.lang.String key)
                                                 throws java.lang.RuntimeException

      Throws:
        `java.lang.RuntimeException`